//
// Generated by SwagGen
// https://github.com/yonaskolb/SwagGen
//

import Foundation
import JSONUtilities

public class Quartier: JSONDecodable, JSONEncodable, PrettyPrintable {

    public var alertes: [Alerte]?

    public var id: String?

    public var marie: String?

    public var nom: String?

    public var tous: Bool?

    public init(alertes: [Alerte]? = nil, id: String? = nil, marie: String? = nil, nom: String? = nil, tous: Bool? = nil) {
        self.alertes = alertes
        self.id = id
        self.marie = marie
        self.nom = nom
        self.tous = tous
    }

    public required init(jsonDictionary: JSONDictionary) throws {
        alertes = jsonDictionary.json(atKeyPath: "alertes")
        id = jsonDictionary.json(atKeyPath: "id")
        marie = jsonDictionary.json(atKeyPath: "marie")
        nom = jsonDictionary.json(atKeyPath: "nom")
        tous = jsonDictionary.json(atKeyPath: "tous")
    }

    public func encode() -> JSONDictionary {
        var dictionary: JSONDictionary = [:]
        if let alertes = alertes?.encode() {
            dictionary["alertes"] = alertes
        }
        if let id = id {
            dictionary["id"] = id
        }
        if let marie = marie {
            dictionary["marie"] = marie
        }
        if let nom = nom {
            dictionary["nom"] = nom
        }
        if let tous = tous {
            dictionary["tous"] = tous
        }
        return dictionary
    }

    /// pretty prints all properties including nested models
    public var prettyPrinted: String {
        return "\(Swift.type(of: self)):\n\(encode().recursivePrint(indentIndex: 1))"
    }
}
